---
title: Startseite
description: 
published: true
date: 2024-07-03T13:03:07.752Z
tags: 
editor: markdown
dateCreated: 2024-02-09T18:34:52.889Z
---

# Wiki: Linux DevOps Tools

Willkommen zu unserem Wiki über Linux DevOps Tools! Hier finden Sie eine Übersicht über verschiedene Tools, die in der DevOps-Welt verwendet werden, um die Entwicklung und den Betrieb von Anwendungen zu optimieren. Diese Seite dient als Ausgangspunkt und bietet Links zu detaillierten Informationen über jedes Tool.

Falls dich einige meiner Anleitung interressiert, klicke auf einen Bereich auf dem linken Teil der Seite.

### Inhaltsverzeichnis

- [Datenbanken](#datenbanken)
- [Flame](#flame)
- [GPG](#gpg)
- [Grafana](#grafana)
- [Linux](#linux)
- [Nextcloud](#nextcloud)
- [Nginx](#nginx)
- [Ntfy](#ntfy)
- [PRTG](#prtg)
- [Watchtower](#watchtower)
- [WireGuard-PiHole](#wireguard-pihole)

---

### **Datenbanken**
Datenbanken sind ein wesentlicher Bestandteil jeder Anwendung. In der DevOps-Welt werden verschiedene Tools verwendet, um die Verwaltung und Automatisierung von Datenbanken zu erleichtern. Beispiele hierfür sind MySQL, PostgreSQL und MongoDB.

### **Flame**
[Flame](https://github.com/pawelmalak/flame) ist eine selbst gehostete Startseite für Ihren Server. Es ermöglicht Ihnen, Ihre Anwendungen und Lesezeichen einfach zu verwalten und bietet eine integrierte Suchleiste, Authentifizierungssystem und viele Anpassungsoptionen.

### **GPG**
[GPG](https://www.redhat.com/sysadmin/encryption-decryption-gpg) (GNU Privacy Guard) ist ein Tool zur Verschlüsselung und Signierung von Daten. Es bietet umfassende Schlüsselverwaltung und unterstützt den OpenPGP-Standard.

### **Grafana**
[Grafana](https://grafana.com/docs/grafana/latest/introduction/) ist ein Open-Source-Tool zur Überwachung und Visualisierung von Metriken, Logs und Traces. Es ermöglicht die Erstellung von Dashboards und das Setzen von Alarmen, um die Systemleistung zu überwachen.

### **Linux**
Linux ist das bevorzugte Betriebssystem für viele DevOps-Umgebungen. Es bietet eine stabile und flexible Plattform für die Entwicklung und den Betrieb von Anwendungen.

### **Nextcloud**
[Nextcloud](https://nextcloud.com/features/) ist eine selbst gehostete Kollaborationsplattform, die Funktionen wie Dateisynchronisierung, Kalender, Kontakte und mehr bietet. Es ist eine hervorragende Lösung für die Verwaltung von Unternehmensdaten.

### **Nginx**
[Nginx](https://www.linkedin.com/pulse/nginx-fordevops-engineer-shivam-pant) ist ein leistungsstarker Webserver, der für seine Skalierbarkeit und Leistung bekannt ist. Es kann als Webserver, Reverse Proxy, Load Balancer und mehr verwendet werden.

### **Ntfy**
[Ntfy](https://docs.ntfy.sh/install/) ist ein Benachrichtigungstool, das einfache und flexible Benachrichtigungen über verschiedene Kanäle ermöglicht. Es kann in Docker- und Kubernetes-Umgebungen eingesetzt werden.

### **PRTG**
[PRTG](https://www.paessler.com/prtg) ist eine umfassende Überwachungslösung für IT-Infrastrukturen. Es unterstützt eine Vielzahl von Protokollen und Technologien und bietet Echtzeitüberwachung und Alarmierung.

### **Watchtower**
[Watchtower](https://containrrr.dev/watchtower/) ist ein Tool zur Automatisierung von Docker-Container-Updates. Es überwacht Ihre Container und aktualisiert sie automatisch, wenn neue Versionen verfügbar sind.

### **WireGuard-PiHole**
[WireGuard-PiHole](https://github.com/mikeroyal/WireGuard-Guide) ist eine Kombination aus WireGuard VPN und Pi-Hole DNS-Ad-Blocking. Es ermöglicht die einfache Einrichtung eines VPN mit integriertem Werbeblocker.

---

Für detailliertere Informationen zu jedem Tool, klicken Sie bitte auf die entsprechenden Links. Dieses Wiki wird regelmäßig aktualisiert, um die neuesten Informationen und Best Practices in der DevOps-Welt bereitzustellen.

Citations:
[1] https://github.com/wmariuss/awesome-devops
[2] https://www.simplilearn.com/tutorials/devops-tutorial/devops-tools
[3] https://katalon.com/resources-center/blog/top-devops-tools
[4] https://www.liquibase.com/resources/guides/database-devops
[5] https://github.com/pawelmalak/flame
[6] https://www.redhat.com/sysadmin/encryption-decryption-gpg
[7] https://grafana.com/docs/grafana/latest/introduction/
[8] https://learn.microsoft.com/de-de/azure/devops/project/wiki/markdown-guidance?view=azure-devops
[9] https://www.lpi.org/de/our-certifications/devops-overview/
[10] https://nextcloud.com/features/
[11] https://www.linkedin.com/pulse/nginx-fordevops-engineer-shivam-pant
[12] https://docs.ntfy.sh/install/
[13] https://www.paessler.com/prtg
[14] https://containrrr.dev/watchtower/
[15] https://github.com/mikeroyal/WireGuard-Guide
[16] https://logz.io/blog/devops-tools/
[17] https://github.com/techiescamp/devops-tools
[18] https://kodekloud.com/blog/top-15-devops-automation-tools-you-should-learn-in-2024/
[19] https://www.quest.com/de-de/solutions/devops/
[20] https://outshift.cisco.com/blog/introducing-flame-an-agile-federated-learning-system

Mein Mastodon:

<a rel="me" href="https://social.brothertec.eu/@simono41">Mastodon</a>